Index: /branches/devmercator2010/CONFIG/ORCA2_LIM/EXP00/AA_job
===================================================================
--- /branches/devmercator2010/CONFIG/ORCA2_LIM/EXP00/AA_job	(revision 2076)
+++ /branches/devmercator2010/CONFIG/ORCA2_LIM/EXP00/AA_job	(revision 2077)
@@ -117,5 +117,5 @@
 
 #- Files for the configuration and ocean dynamics
-Rapatrie ${R_TMP} ORCA2_LIM_nemo_v3.1.tar
+Rapatrie ${R_TMP} ORCA2_LIM_nemo_v3.2.tar
 
 ls -alF
Index: /branches/devmercator2010/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- /branches/devmercator2010/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 2076)
+++ /branches/devmercator2010/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 2077)
@@ -275,5 +275,22 @@
    rn_alphdi   =    0.72   !  (Pyane, 1972)
 /
-
+!-----------------------------------------------------------------------
+&namdta_tem    !   surface boundary condition : sea surface restoring
+!-----------------------------------------------------------------------
+!              !     file name                  ! frequency (hours) ! variable   ! time interpol. !  clim   !'yearly' or ! weights  ! rotation !
+!              !                                !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly'  ! filename ! pairing  !
+  sn_tem       = 'data_1m_potential_temperature_nomask',  -1        , 'votemper' ,     .true.     , .true.  , 'yearly'   , ' '      , ' '
+!
+  cn_dir       = './'      !  root directory for the location of the runoff files
+/
+!-----------------------------------------------------------------------
+&namdta_sal    !   surface boundary condition : sea surface restoring
+!-----------------------------------------------------------------------
+!              !     file name                  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                                !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_sal      =  'data_1m_salinity_nomask'     ,         -1        , 'vosaline' ,     .true.     , .true.  , 'yearly'    , ''       , ' '
+!  
+   cn_dir      = './'      !  root directory for the location of the runoff files
+/
 !!======================================================================
 !!               ***  Lateral boundary condition  ***
@@ -417,4 +434,5 @@
    ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries  
    ln_traadv_ubs    =  .false.  !  UBS scheme                 
+   !ln_traadv_ppm    =  .true.  !  UBS scheme                 
 /
 !-----------------------------------------------------------------------
@@ -698,5 +716,5 @@
 &namptr       !   Poleward Transport Diagnostic
 !-----------------------------------------------------------------------
-   ln_diaptr  = .true.     !  Poleward heat and salt transport (T) or not (F)
+   ln_diaptr  = .false.     !  Poleward heat and salt transport (T) or not (F)
    ln_diaznl  = .true.     !  Add zonal means and meridional stream functions
    ln_subbas  = .true.     !  Atlantic/Pacific/Indian basins computation (T) or not 
Index: /branches/devmercator2010/CONFIG/ORCA2_LIM_PISCES/EXP00/AA_job
===================================================================
--- /branches/devmercator2010/CONFIG/ORCA2_LIM_PISCES/EXP00/AA_job	(revision 2076)
+++ /branches/devmercator2010/CONFIG/ORCA2_LIM_PISCES/EXP00/AA_job	(revision 2077)
@@ -117,5 +117,5 @@
 
 #- Files for the configuration and ocean dynamics
-Rapatrie ${R_TMP} ORCA2_LIM_nemo_v3.1.tar
+Rapatrie ${R_TMP} ORCA2_LIM_nemo_v3.2.tar
 Rapatrie ${R_TMP} INPUTS_INIT_v3.tar
 Rapatrie ${R_TMP} INPUTS_PISCES_v3.tar
Index: /branches/devmercator2010/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist
===================================================================
--- /branches/devmercator2010/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 2076)
+++ /branches/devmercator2010/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 2077)
@@ -275,5 +275,22 @@
    rn_alphdi   =    0.72   !  (Pyane, 1972)
 /
-
+!-----------------------------------------------------------------------
+&namdta_tem    !   surface boundary condition : sea surface restoring
+!-----------------------------------------------------------------------
+!              !     file name                  ! frequency (hours) ! variable   ! time interpol. !  clim   !'yearly' or ! weights  ! rotation !
+!              !                                !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly'  ! filename ! pairing  !
+  sn_tem       = 'data_1m_potential_temperature_nomask',  -1        , 'votemper' ,     .true.     , .true.  , 'yearly'   , ' '      , ' '
+!
+  cn_dir       = './'      !  root directory for the location of the runoff files
+/
+!-----------------------------------------------------------------------
+&namdta_sal    !   surface boundary condition : sea surface restoring
+!-----------------------------------------------------------------------
+!              !     file name                  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                                !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_sal      =  'data_1m_salinity_nomask'     ,         -1        , 'vosaline' ,     .true.     , .true.  , 'yearly'    , ''       , ' '
+!
+   cn_dir      = './'      !  root directory for the location of the runoff files
+/
 !!======================================================================
 !!               ***  Lateral boundary condition  ***
Index: /branches/devmercator2010/NEMO/LIM_SRC_2/dom_ice_2.F90
===================================================================
--- /branches/devmercator2010/NEMO/LIM_SRC_2/dom_ice_2.F90	(revision 2076)
+++ /branches/devmercator2010/NEMO/LIM_SRC_2/dom_ice_2.F90	(revision 2077)
@@ -5,5 +5,4 @@
    !!======================================================================
    !! History :   2.0  !  03-08  (C. Ethe)  Free form and module
-   !!             3.3  !  09-05 (G.Garric) addition of the lim2_evp cas
    !!----------------------------------------------------------------------
 #if defined key_lim2
@@ -27,14 +26,8 @@
       &                                              area   ,         &  !: surface of grid cell 
       &                                              tms    , tmu        !: temperature and velocity points masks
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,2,2)     ::   wght                !: weight of the 4 neighbours to compute averages
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,2,2)     ::   wght   ,         &  !: weight of the 4 neighbours to compute averages
+      &                                              akappa , bkappa     !: first and third group of metric coefficients
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,2,2,2,2) ::   alambd   !: second group of metric coefficients
 
-#if defined key_lim2_vp
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,2,2)     ::                     &
-      &                                              akappa , bkappa     !: first and third group of metric coefficients
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,2,2,2,2) ::   alambd              !: second group of metric coefficients
-#else
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)         ::   tmv    , tmf        !: y-velocity and F-points masks
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)         ::   tmi                 !: ice mask: =1 if ice thick > 0
-#endif
    !!======================================================================
 #endif
Index: /branches/devmercator2010/NEMO/LIM_SRC_2/ice_2.F90
===================================================================
--- /branches/devmercator2010/NEMO/LIM_SRC_2/ice_2.F90	(revision 2076)
+++ /branches/devmercator2010/NEMO/LIM_SRC_2/ice_2.F90	(revision 2077)
@@ -5,5 +5,4 @@
    !!=====================================================================
    !! History :  2.0  !  03-08  (C. Ethe)  F90: Free form and module
-   !!            3.3  !  09-05 (G.Garric) addition of the lim2_evp cas
    !!----------------------------------------------------------------------
 #if defined key_lim2
@@ -26,5 +25,4 @@
    LOGICAL               , PUBLIC ::   ln_limdyn     = .TRUE.             !: flag for ice dynamics (T) or not (F)
    LOGICAL               , PUBLIC ::   ln_limdmp     = .FALSE.            !: Ice damping
-   LOGICAL               , PUBLIC ::   ln_nicep      = .TRUE.             !: flag for sea-ice points output (T) or not (F)
    REAL(wp)              , PUBLIC ::   hsndif        = 0.e0               !: computation of temp. in snow (0) or not (9999)
    REAL(wp)              , PUBLIC ::   hicdif        = 0.e0               !: computation of temp. in ice (0) or not (9999)
@@ -48,7 +46,5 @@
    REAL(wp), PUBLIC ::   ecc    = 2.e0      !: eccentricity of the elliptical yield curve
    REAL(wp), PUBLIC ::   ahi0   = 350.e0    !: sea-ice hor. eddy diffusivity coeff. (m2/s)
-   INTEGER , PUBLIC ::   nevp   =   360     !: number of EVP subcycling iterations
-   INTEGER , PUBLIC ::   telast =  3600     !: timescale for EVP elastic waves
-   REAL(wp), PUBLIC ::   alphaevp = 1.e0    !: coefficient for the solution of EVP int. stresses
+
    REAL(wp), PUBLIC ::   usecc2             !:  = 1.0 / ( ecc * ecc )
    REAL(wp), PUBLIC ::   rhoco              !: = rau0 * cw
@@ -56,31 +52,10 @@
    REAL(wp), PUBLIC ::   pstarh             !: pstar / 2.0
 
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ahiu , ahiv         !: hor. diffusivity coeff. at ocean U- and V-points (m2/s)
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   pahu , pahv         !: ice hor. eddy diffusivity coef. at ocean U- and V-points
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ust2s               !: friction velocity
-
-#if  defined key_lim2_vp
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hsnm , hicm         !: mean snow and ice thicknesses
-   CHARACTER(len=1), PUBLIC :: cl_grid =   'B'                   !: type of grid used in ice dynamics, 'C' or 'B'
-#else
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::                      &
-                                                   stress1_i ,  &!: first stress tensor element       
-                                                   stress2_i ,  &!: second stress tensor element
-                                                   stress12_i,  &!: diagonal stress tensor element
-                                                   delta_i   ,  &!: Delta factor for the ice rheology (see Flato and Hibler 95) [s-1] -> limrhg.F90
-                                                   divu_i    ,  &!: Divergence of the velocity field [s-1] -> limrhg.F90
-                                                   shear_i       !: Shear of the velocity field [s-1] -> limrhg.F90
-
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)         :: at_i          !:
-   REAL(wp), PUBLIC, DIMENSION(:,:)    ,POINTER :: vt_s ,vt_i    !: mean snow and ice thicknesses
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj),TARGET  :: hsnm , hicm   !: mean snow and ice thicknesses, target for pointers vt_s and vt_i 
-   CHARACTER(len=1), PUBLIC :: cl_grid =   'C'                   !: type of grid used in ice dynamics, 'C' or 'B'
-#endif
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ahiu , ahiv   !: hor. diffusivity coeff. at ocean U- and V-points (m2/s)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   pahu , pahv   !: ice hor. eddy diffusivity coef. at ocean U- and V-points
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hsnm , hicm   !: mean snow and ice thicknesses
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ust2s                 !: friction velocity
 
    !!* diagnostic quantities
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   rdvosif       !: Variation of volume at surface (only used for outputs)
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   rdvobif       !: Variation of ice volume at the bottom ice (only used for outputs)
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   fdvolif       !: Total variation of ice volume (only used for outputs)
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   rdvonif       !: Lateral Variation of ice volume (only used for outputs)
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   sist          !: Sea-Ice Surface Temperature (Kelvin)
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   tfu           !: Freezing/Melting point temperature of sea water at SSS
Index: /branches/devmercator2010/NEMO/LIM_SRC_2/iceini_2.F90
===================================================================
--- /branches/devmercator2010/NEMO/LIM_SRC_2/iceini_2.F90	(revision 2076)
+++ /branches/devmercator2010/NEMO/LIM_SRC_2/iceini_2.F90	(revision 2077)
@@ -6,5 +6,4 @@
    !! History :   1.0  !  02-08  (G. Madec)  F90: Free form and modules
    !!             2.0  !  03-08  (C. Ethe)  add ice_run
-   !!             3.3  !  09-05  (G.Garric) addition of the lim2_evp case
    !!----------------------------------------------------------------------
 #if defined key_lim2
@@ -31,7 +30,4 @@
 
    PUBLIC   ice_init_2               ! called by sbcice_lim_2.F90
-
-   INTEGER , PUBLIC  ::     numit                  !: iteration number
-
 
    !!----------------------------------------------------------------------
@@ -66,9 +62,6 @@
       ENDIF
       
-      tn_ice(:,:,1) = sist(:,:)       ! initialisation of ice temperature   
+      tn_ice(:,:,1) = sist(:,:)         ! initialisation of ice temperature   
       fr_i  (:,:) = 1.0 - frld(:,:)   ! initialisation of sea-ice fraction    
-      !
-      numit = nit000 - 1              !initialisation ice time-step
-
       !
    END SUBROUTINE ice_init_2
Index: /branches/devmercator2010/NEMO/LIM_SRC_2/limdyn_2.F90
===================================================================
--- /branches/devmercator2010/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 2076)
+++ /branches/devmercator2010/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 2077)
@@ -8,5 +8,4 @@
    !!             2.0  !  03-08  (C. Ethe) add lim_dyn_init
    !!             2.0  !  06-07  (G. Madec)  Surface module
-   !!             3.3  !  09-05  (G.Garric) addition of the lim2_evp cas
    !!---------------------------------------------------------------------
 #if defined key_lim2
@@ -23,9 +22,6 @@
    USE dom_ice_2      !
    USE limistate_2    !
-#if defined key_lim2_vp
    USE limrhg_2       ! ice rheology
-#else
-   USE limrhg         ! ice rheology
-#endif
+
    USE lbclnk         !
    USE lib_mpp        !
@@ -91,9 +87,5 @@
             i_jpj = jpj
             IF(ln_ctl)   CALL prt_ctl_info( 'lim_dyn  :    i_j1 = ', ivar1=i_j1, clinfo2=' ij_jpj = ', ivar2=i_jpj )
-#if defined key_lim2_vp
             CALL lim_rhg_2( i_j1, i_jpj )
-#else
-            CALL lim_rhg( i_j1, i_jpj ) !!!!cbr CALL lim_rhg( i_j1, i_jpj, kt )
-#endif
             !
          ELSE                                 ! optimization of the computational area
@@ -113,14 +105,8 @@
                   i_j1 = i_j1 + 1
                END DO
-#if defined key_lim2_vp
                i_j1 = MAX( 1, i_j1-1 )
                IF(ln_ctl)   WRITE(numout,*) 'lim_dyn : NH i_j1 = ', i_j1, ' ij_jpj = ', i_jpj
                ! 
                CALL lim_rhg_2( i_j1, i_jpj )
-#else
-               i_j1 = MAX( 1, i_j1-2 )
-               IF(ln_ctl)   WRITE(numout,*) 'lim_dyn : NH i_j1 = ', i_j1, ' ij_jpj = ', i_jpj
-               CALL lim_rhg( i_j1, i_jpj )
-#endif
                ! 
                ! Southern hemisphere
@@ -130,14 +116,8 @@
                   i_jpj = i_jpj - 1
                END DO
-#if defined key_lim2_vp
                i_jpj = MIN( jpj, i_jpj+2 )
                IF(ln_ctl)   WRITE(numout,*) 'lim_dyn : SH i_j1 = ', i_j1, ' ij_jpj = ', i_jpj
                ! 
                CALL lim_rhg_2( i_j1, i_jpj )
-#else
-               i_jpj = MIN( jpj, i_jpj+1 )
-               IF(ln_ctl)   WRITE(numout,*) 'lim_dyn : SH i_j1 = ', i_j1, ' ij_jpj = ', i_jpj
-               CALL lim_rhg( i_j1, i_jpj ) !!!!cbr CALL lim_rhg( i_j1, i_jpj, kt )
-#endif
                ! 
             ELSE                                 ! local domain extends over one hemisphere only
@@ -154,16 +134,9 @@
                   i_jpj = i_jpj - 1
                END DO
-#if defined key_lim2_vp
                i_jpj = MIN( jpj, i_jpj+2)
-
+    
                IF(ln_ctl)   WRITE(numout,*) 'lim_dyn : one hemisphere: i_j1 = ', i_j1, ' ij_jpj = ', i_jpj
                ! 
                CALL lim_rhg_2( i_j1, i_jpj )
-#else
-               i_j1 = MAX( 1, i_j1-2 )
-               i_jpj = MIN( jpj, i_jpj+1)
-               IF(ln_ctl)   WRITE(numout,*) 'lim_dyn : one hemisphere: i_j1 = ', i_j1, ' ij_jpj = ', i_jpj
-               CALL lim_rhg( i_j1, i_jpj ) !!!!cbr CALL lim_rhg( i_j1, i_jpj, kt )
-#endif
                !
             ENDIF
@@ -175,15 +148,4 @@
          ! computation of friction velocity
          ! --------------------------------
-
-     SELECT CASE( cl_grid )
-
-      CASE( 'C' )                          ! C-grid ice dynamics
-         !?????????????????????????????????
-         ! ice-ocean velocity at U & V-points (u_ice vi_ice at U- & V-points ; ssu_m, ssv_m at U- & V-points)
-         zu_io(:,:) = u_ice(:,:) - ssu_m(:,:)
-         zv_io(:,:) = v_ice(:,:) - ssv_m(:,:)
-
-
-      CASE( 'B' )                          ! B-grid ice dynamics
          ! ice-ocean velocity at U & V-points (u_ice v_ice at I-point ; ssu_m, ssv_m at U- & V-points)
          
@@ -194,7 +156,4 @@
             END DO
          END DO
-
-      END SELECT
-
          ! frictional velocity at T-point
          DO jj = 2, jpjm1
@@ -239,6 +198,5 @@
       NAMELIST/namicedyn/ epsd, alpha,     &
          &                dm, nbiter, nbitdr, om, resl, cw, angvg, pstar,   &
-         &                c_rhg, etamn, creepl, ecc, ahi0, &
-         &                nevp, telast, alphaevp
+         &                c_rhg, etamn, creepl, ecc, ahi0
       !!-------------------------------------------------------------------
 
@@ -265,7 +223,4 @@
          WRITE(numout,*) '       eccentricity of the elliptical yield curve       ecc    = ', ecc
          WRITE(numout,*) '       horizontal diffusivity coeff. for sea-ice        ahi0   = ', ahi0
-         WRITE(numout,*) '       number of iterations for subcycling              nevp   = ', nevp
-         WRITE(numout,*) '       timescale for elastic waves                      telast = ', telast
-         WRITE(numout,*) '       coefficient for the solution of int. stresses  alphaevp = ', alphaevp
       ENDIF
 
Index: /branches/devmercator2010/NEMO/LIM_SRC_2/limmsh_2.F90
===================================================================
--- /branches/devmercator2010/NEMO/LIM_SRC_2/limmsh_2.F90	(revision 2076)
+++ /branches/devmercator2010/NEMO/LIM_SRC_2/limmsh_2.F90	(revision 2077)
@@ -47,12 +47,8 @@
       !!         original    : 01-04 (LIM)
       !!         addition    : 02-08 (C. Ethe, G. Madec)
-      !!         additions   : 2009-05 (addition of the lim2_evp case, G. Garric)
       !!--------------------------------------------------------------------- 
       !! * Local variables
       INTEGER :: ji, jj      ! dummy loop indices
 
-      REAL(wp) ::         &
-         zusden              ! temporary scalars
-#if defined key_lim2_vp
       REAL(wp), DIMENSION(jpi,jpj) ::  &
          zd2d1 , zd1d2       ! Derivative of zh2 (resp. zh1) in the x direction
@@ -61,6 +57,5 @@
          zh1p  , zh2p   , &  ! Idem zh1, zh2 for the bottom left corner of the grid
          zd2d1p, zd1d2p , &  ! Idem zd2d1, zd1d2 for the bottom left corner of the grid
-         zusden2             ! temporary scalars
-#endif
+         zusden, zusden2     ! temporary scalars
       !!---------------------------------------------------------------------
 
@@ -117,16 +112,11 @@
       !-------------------
 !!ibug ???
+      akappa(:,:,:,:) = 0.e0
       wght(:,:,:,:) = 0.e0
-      tmu(:,:)      = 0.e0
-#if defined key_lim2_vp 
-      akappa(:,:,:,:)     = 0.e0
       alambd(:,:,:,:,:,:) = 0.e0
-#else
-      tmv(:,:) = 0.e0
-      tmf(:,:) = 0.e0
-#endif
+      tmu(:,:) = 0.e0
 !!i
       
-#if defined key_lim2_vp
+      
       ! metric coefficients for sea ice dynamic
       !----------------------------------------
@@ -162,29 +152,8 @@
       CALL lbc_lnk( wght(:,:,2,1), 'I', 1. )      ! but it is never used
       CALL lbc_lnk( wght(:,:,2,2), 'I', 1. )
-#else
-      !                                                      ! weights (wght)
-      DO jj = 2, jpj-1
-         DO ji = 2, jpi-1
-            zusden = 1. / (  ( e1t(ji+1,jj) + e1t(ji,jj  ) )   &
-               &           * ( e2t(ji,jj+1) + e2t(ji  ,jj) ) ) 
-            wght(ji,jj,1,1) = zusden * e1t(ji+1,jj) * e2t(ji,jj+1)
-            wght(ji,jj,1,2) = zusden * e1t(ji+1,jj) * e2t(ji,jj  )
-            wght(ji,jj,2,1) = zusden * e1t(ji  ,jj) * e2t(ji,jj+1)
-            wght(ji,jj,2,2) = zusden * e1t(ji  ,jj) * e2t(ji,jj  )
-         END DO
-      END DO
-
-      !With EVP, the weights are calculated on 'F' points
-      CALL lbc_lnk( wght(:,:,1,1), 'F', 1. )      ! CAUTION: even with the lbc_lnk at ice U-V-point
-      CALL lbc_lnk( wght(:,:,1,2), 'F', 1. )      ! the value of wght at jpj is wrong
-      CALL lbc_lnk( wght(:,:,2,1), 'F', 1. )      ! but it is never used
-      CALL lbc_lnk( wght(:,:,2,2), 'F', 1. )
-
-#endif
     
       ! Coefficients for divergence of the stress tensor
       !-------------------------------------------------
 
-#if defined key_lim2_vp
       DO jj = 2, jpj
          DO ji = 2, jpi   ! NO vector opt.
@@ -254,5 +223,4 @@
       CALL lbc_lnk( alambd(:,:,2,1,1,1), 'I', 1. )      !
       CALL lbc_lnk( alambd(:,:,2,1,1,2), 'I', 1. )      !
-#endif
             
 
@@ -265,6 +233,4 @@
       tmu(:,1) = 0.e0
       tmu(1,:) = 0.e0
-
-#if defined key_lim2_vp
       DO jj = 2, jpj               ! ice U.V-point: computed from ice T-point mask
          DO ji = 2, jpim1   ! NO vector opt.
@@ -275,23 +241,4 @@
       !--lateral boundary conditions    
       CALL lbc_lnk( tmu(:,:), 'I', 1. )
-#else
-      tmv(:,1) = 0.e0 !SB
-      tmv(1,:) = 0.e0 !SB
-      tmf(1,:) = 0.e0
-      tmf(:,1) = 0.e0
-      DO jj = 1, jpj - 1
-         DO ji = 1 , jpi - 1
-            tmu(ji,jj) =  tms(ji,jj) * tms(ji+1,jj)
-            tmv(ji,jj) =  tms(ji,jj) * tms(ji,jj+1)
-            tmf(ji,jj) =  tms(ji,jj) * tms(ji+1,jj) * tms(ji,jj+1) * &
-               tms(ji+1,jj+1)
-         END DO
-      END DO
-
-      !--lateral boundary conditions
-      CALL lbc_lnk( tmu(:,:), 'U', 1. )
-      CALL lbc_lnk( tmv(:,:), 'V', 1. )
-      CALL lbc_lnk( tmf(:,:), 'F', 1. )
-#endif
       
       ! unmasked and masked area of T-grid cell
Index: /branches/devmercator2010/NEMO/LIM_SRC_2/limrhg_2.F90
===================================================================
--- /branches/devmercator2010/NEMO/LIM_SRC_2/limrhg_2.F90	(revision 2076)
+++ /branches/devmercator2010/NEMO/LIM_SRC_2/limrhg_2.F90	(revision 2077)
@@ -9,7 +9,6 @@
    !!            " "  !  06-08  (G. Madec)  surface module, ice-stress at I-point
    !!            " "  !  09-09  (G. Madec)  Huge verctor optimisation
-   !!            3.3  !  09-05  (G.Garric) addition of the lim2_evp case
-   !!----------------------------------------------------------------------
-#if defined key_lim2 &&  defined key_lim2_vp
+   !!----------------------------------------------------------------------
+#if defined key_lim2
    !!----------------------------------------------------------------------
    !!   'key_lim2'                                    LIM 2.0 sea-ice model
